BUNDLE_NAME = "ydktest"

CAPABILITIES = {
    "iana-crypt-hash": "2014-08-06",
    "iana-if-type": "2014-05-08",
    "ietf-aug-base-1": "2016-07-01",
    "ietf-aug-base-2": "2016-07-01",
    "ietf-inet-types": "2013-07-15",
    "ietf-interfaces": "2014-05-08",
    "ietf-netconf": "2011-06-01",
    "ietf-netconf-acm": "2012-02-22",
    "ietf-netconf-monitoring": "2010-10-04",
    "ietf-netconf-with-defaults": "2011-06-01",
    "ietf-system": "2014-08-06",
    "ietf-yang-types": "2013-07-15",
    "main": "2015-11-17",
    "main-aug1": "2015-11-17",
    "oc-pattern": "2015-11-17",
    "openconfig-bgp": "2016-06-21",
    "openconfig-bgp-common": "2016-06-21",
    "openconfig-bgp-common-multiprotocol": "2016-06-21",
    "openconfig-bgp-common-structure": "2016-06-21",
    "openconfig-bgp-global": "2016-06-21",
    "openconfig-bgp-neighbor": "2016-06-21",
    "openconfig-bgp-peer-group": "2016-06-21",
    "openconfig-bgp-policy": "2016-06-21",
    "openconfig-bgp-types": "2016-06-21",
    "openconfig-extensions": "2015-10-09",
    "openconfig-if-ethernet": "2016-05-26",
    "openconfig-interfaces": "2016-05-26",
    "openconfig-platform": "2016-06-06",
    "openconfig-platform-transceiver": "2016-05-24",
    "openconfig-platform-types": "2016-06-06",
    "openconfig-policy-types": "2016-05-12",
    "openconfig-routing-policy": "2016-05-12",
    "openconfig-terminal-device": "2016-06-17",
    "openconfig-transport-types": "2016-06-17",
    "openconfig-types": "2016-05-31",
    "ydktest-aug-ietf-1": "2016-06-17",
    "ydktest-aug-ietf-2": "2016-06-22",
    "ydktest-aug-ietf-4": "2016-06-27",
    "ydktest-aug-ietf-5": "2017-07-26",
    "ydktest-filterread": "2015-11-17",
    "ydktest-sanity": "2015-11-17",
    "ydktest-sanity-augm": "2015-11-17",
    "ydktest-sanity-submodule": "2016-04-25",
    "ydktest-sanity-typedefs": "2018-01-30",
    "ydktest-sanity-types": "2016-04-11",
    "ydktest-types": "2016-05-23",
}

ENTITY_LOOKUP = {
    ("http://cisco.com/ns/yang/ietf-aug-base-1", "cpython"): "ietf_aug_base_1.Cpython",
    ("ietf-aug-base-1", "cpython"): "ietf_aug_base_1.Cpython",
    ("http://cisco.com/ns/yang/ietf-aug-base-2", "cpython"): "ietf_aug_base_2.Cpython",
    ("ietf-aug-base-2", "cpython"): "ietf_aug_base_2.Cpython",
    ("urn:ietf:params:xml:ns:yang:ietf-interfaces", "interfaces"): "ietf_interfaces.Interfaces",
    ("ietf-interfaces", "interfaces"): "ietf_interfaces.Interfaces",
    ("urn:ietf:params:xml:ns:yang:ietf-interfaces", "interfaces-state"): "ietf_interfaces.InterfacesState",
    ("ietf-interfaces", "interfaces-state"): "ietf_interfaces.InterfacesState",
    ("urn:ietf:params:xml:ns:yang:ietf-netconf-acm", "nacm"): "ietf_netconf_acm.Nacm",
    ("ietf-netconf-acm", "nacm"): "ietf_netconf_acm.Nacm",
    ("urn:ietf:params:xml:ns:yang:ietf-netconf-monitoring", "netconf-state"): "ietf_netconf_monitoring.NetconfState",
    ("ietf-netconf-monitoring", "netconf-state"): "ietf_netconf_monitoring.NetconfState",
    ("urn:ietf:params:xml:ns:yang:ietf-system", "system"): "ietf_system.System",
    ("ietf-system", "system"): "ietf_system.System",
    ("urn:ietf:params:xml:ns:yang:ietf-system", "system-state"): "ietf_system.SystemState",
    ("ietf-system", "system-state"): "ietf_system.SystemState",
    ("http://cisco.com/ns/yang/main", "A"): "main.A",
    ("main", "A"): "main.A",
    ("http://cisco.com/ns/yang/oc-pattern", "oc-A"): "oc_pattern.OcA",
    ("oc-pattern", "oc-A"): "oc_pattern.OcA",
    ("http://openconfig.net/yang/bgp", "bgp"): "openconfig_bgp.Bgp",
    ("openconfig-bgp", "bgp"): "openconfig_bgp.Bgp",
    ("http://openconfig.net/yang/interfaces", "interfaces"): "openconfig_interfaces.Interfaces",
    ("openconfig-interfaces", "interfaces"): "openconfig_interfaces.Interfaces",
    ("http://openconfig.net/yang/platform", "components"): "openconfig_platform.Components",
    ("openconfig-platform", "components"): "openconfig_platform.Components",
    ("http://openconfig.net/yang/routing-policy", "routing-policy"): "openconfig_routing_policy.RoutingPolicy",
    ("openconfig-routing-policy", "routing-policy"): "openconfig_routing_policy.RoutingPolicy",
    ("http://openconfig.net/yang/terminal-device", "terminal-device"): "openconfig_terminal_device.TerminalDevice",
    ("openconfig-terminal-device", "terminal-device"): "openconfig_terminal_device.TerminalDevice",
    ("http://cisco.com/ns/yang/ydk-filter", "a"): "ydktest_filterread.A",
    ("ydktest-filterread", "a"): "ydktest_filterread.A",
    ("http://cisco.com/ns/yang/ydktest-sanity", "sub-test"): "ydktest_sanity.SubTest",
    ("ydktest-sanity", "sub-test"): "ydktest_sanity.SubTest",
    ("http://cisco.com/ns/yang/ydktest-sanity", "runner"): "ydktest_sanity.Runner",
    ("ydktest-sanity", "runner"): "ydktest_sanity.Runner",
    ("http://cisco.com/ns/yang/ydktest-sanity", "native"): "ydktest_sanity.Native",
    ("ydktest-sanity", "native"): "ydktest_sanity.Native",
    ("http://cisco.com/ns/yang/ydktest-sanity", "cascading-types"): "ydktest_sanity.CascadingTypes",
    ("ydktest-sanity", "cascading-types"): "ydktest_sanity.CascadingTypes",
    ("http://cisco.com/ns/yang/ydktest-sanity", "conditional-interface"): "ydktest_sanity.ConditionalInterface",
    ("ydktest-sanity", "conditional-interface"): "ydktest_sanity.ConditionalInterface",
    ("http://cisco.com/ns/yang/ydktest-sanity-typedefs", "System"): "ydktest_sanity_typedefs.System",
    ("ydktest-sanity-typedefs", "System"): "ydktest_sanity_typedefs.System",
}

NAMESPACE_LOOKUP = {
    "iana-crypt-hash": "urn:ietf:params:xml:ns:yang:iana-crypt-hash",
    "iana-if-type": "urn:ietf:params:xml:ns:yang:iana-if-type",
    "ietf-aug-base-1": "http://cisco.com/ns/yang/ietf-aug-base-1",
    "ietf-aug-base-2": "http://cisco.com/ns/yang/ietf-aug-base-2",
    "ietf-inet-types": "urn:ietf:params:xml:ns:yang:ietf-inet-types",
    "ietf-interfaces": "urn:ietf:params:xml:ns:yang:ietf-interfaces",
    "ietf-netconf": "urn:ietf:params:xml:ns:netconf:base:1.0",
    "ietf-netconf-acm": "urn:ietf:params:xml:ns:yang:ietf-netconf-acm",
    "ietf-netconf-monitoring": "urn:ietf:params:xml:ns:yang:ietf-netconf-monitoring",
    "ietf-netconf-with-defaults": "urn:ietf:params:xml:ns:yang:ietf-netconf-with-defaults",
    "ietf-system": "urn:ietf:params:xml:ns:yang:ietf-system",
    "ietf-yang-types": "urn:ietf:params:xml:ns:yang:ietf-yang-types",
    "main": "http://cisco.com/ns/yang/main",
    "main-aug1": "http://cisco.com/ns/yang/main-aug1",
    "oc-pattern": "http://cisco.com/ns/yang/oc-pattern",
    "openconfig-bgp": "http://openconfig.net/yang/bgp",
    "openconfig-bgp-policy": "http://openconfig.net/yang/bgp-policy",
    "openconfig-bgp-types": "http://openconfig.net/yang/bgp-types",
    "openconfig-extensions": "http://openconfig.net/yang/openconfig-ext",
    "openconfig-if-ethernet": "http://openconfig.net/yang/interfaces/ethernet",
    "openconfig-interfaces": "http://openconfig.net/yang/interfaces",
    "openconfig-platform": "http://openconfig.net/yang/platform",
    "openconfig-platform-transceiver": "http://openconfig.net/yang/platform/transceiver",
    "openconfig-platform-types": "http://openconfig.net/yang/platform-types",
    "openconfig-policy-types": "http://openconfig.net/yang/policy-types",
    "openconfig-routing-policy": "http://openconfig.net/yang/routing-policy",
    "openconfig-terminal-device": "http://openconfig.net/yang/terminal-device",
    "openconfig-transport-types": "http://openconfig.net/yang/transport-types",
    "openconfig-types": "http://openconfig.net/yang/openconfig-types",
    "ydktest-aug-ietf-1": "http://cisco.com/ns/yang/yaug-one",
    "ydktest-aug-ietf-2": "http://cisco.com/ns/yang/yaug-two",
    "ydktest-aug-ietf-4": "http://cisco.com/ns/yang/yaug-four",
    "ydktest-aug-ietf-5": "http://cisco.com/ns/yang/yaug-five",
    "ydktest-filterread": "http://cisco.com/ns/yang/ydk-filter",
    "ydktest-sanity": "http://cisco.com/ns/yang/ydktest-sanity",
    "ydktest-sanity-augm": "http://cisco.com/ns/yang/ydktest-sanity-augm",
    "ydktest-sanity-typedefs": "http://cisco.com/ns/yang/ydktest-sanity-typedefs",
    "ydktest-sanity-types": "http://cisco.com/ns/yang/ydktest-sanity-types",
    "ydktest-types": "http://cisco.com/ns/yang/ydktest-types",
}

IDENTITY_LOOKUP = {
    'iana-if-type:a12MppSwitch':('ydk.models.ydktest.iana_if_type', 'A12MppSwitch'),
    'iana-if-type:aal2':('ydk.models.ydktest.iana_if_type', 'Aal2'),
    'iana-if-type:aal5':('ydk.models.ydktest.iana_if_type', 'Aal5'),
    'iana-if-type:actelisMetaLOOP':('ydk.models.ydktest.iana_if_type', 'ActelisMetaLOOP'),
    'iana-if-type:adsl':('ydk.models.ydktest.iana_if_type', 'Adsl'),
    'iana-if-type:adsl2':('ydk.models.ydktest.iana_if_type', 'Adsl2'),
    'iana-if-type:adsl2plus':('ydk.models.ydktest.iana_if_type', 'Adsl2plus'),
    'iana-if-type:aflane8023':('ydk.models.ydktest.iana_if_type', 'Aflane8023'),
    'iana-if-type:aflane8025':('ydk.models.ydktest.iana_if_type', 'Aflane8025'),
    'iana-if-type:aluELP':('ydk.models.ydktest.iana_if_type', 'AluELP'),
    'iana-if-type:aluEpon':('ydk.models.ydktest.iana_if_type', 'AluEpon'),
    'iana-if-type:aluEponLogicalLink':('ydk.models.ydktest.iana_if_type', 'AluEponLogicalLink'),
    'iana-if-type:aluEponOnu':('ydk.models.ydktest.iana_if_type', 'AluEponOnu'),
    'iana-if-type:aluEponPhysicalUni':('ydk.models.ydktest.iana_if_type', 'AluEponPhysicalUni'),
    'iana-if-type:aluGponOnu':('ydk.models.ydktest.iana_if_type', 'AluGponOnu'),
    'iana-if-type:aluGponPhysicalUni':('ydk.models.ydktest.iana_if_type', 'AluGponPhysicalUni'),
    'iana-if-type:arap':('ydk.models.ydktest.iana_if_type', 'Arap'),
    'iana-if-type:arcnet':('ydk.models.ydktest.iana_if_type', 'Arcnet'),
    'iana-if-type:arcnetPlus':('ydk.models.ydktest.iana_if_type', 'ArcnetPlus'),
    'iana-if-type:async':('ydk.models.ydktest.iana_if_type', 'Async'),
    'iana-if-type:atm':('ydk.models.ydktest.iana_if_type', 'Atm'),
    'iana-if-type:atmDxi':('ydk.models.ydktest.iana_if_type', 'AtmDxi'),
    'iana-if-type:atmFuni':('ydk.models.ydktest.iana_if_type', 'AtmFuni'),
    'iana-if-type:atmIma':('ydk.models.ydktest.iana_if_type', 'AtmIma'),
    'iana-if-type:atmLogical':('ydk.models.ydktest.iana_if_type', 'AtmLogical'),
    'iana-if-type:atmRadio':('ydk.models.ydktest.iana_if_type', 'AtmRadio'),
    'iana-if-type:atmSubInterface':('ydk.models.ydktest.iana_if_type', 'AtmSubInterface'),
    'iana-if-type:atmVciEndPt':('ydk.models.ydktest.iana_if_type', 'AtmVciEndPt'),
    'iana-if-type:atmVirtual':('ydk.models.ydktest.iana_if_type', 'AtmVirtual'),
    'iana-if-type:atmbond':('ydk.models.ydktest.iana_if_type', 'Atmbond'),
    'iana-if-type:aviciOpticalEther':('ydk.models.ydktest.iana_if_type', 'AviciOpticalEther'),
    'iana-if-type:basicISDN':('ydk.models.ydktest.iana_if_type', 'BasicISDN'),
    'iana-if-type:bgppolicyaccounting':('ydk.models.ydktest.iana_if_type', 'Bgppolicyaccounting'),
    'iana-if-type:bits':('ydk.models.ydktest.iana_if_type', 'Bits'),
    'iana-if-type:bridge':('ydk.models.ydktest.iana_if_type', 'Bridge'),
    'iana-if-type:bsc':('ydk.models.ydktest.iana_if_type', 'Bsc'),
    'iana-if-type:cableDownstreamRfPort':('ydk.models.ydktest.iana_if_type', 'CableDownstreamRfPort'),
    'iana-if-type:capwapDot11Bss':('ydk.models.ydktest.iana_if_type', 'CapwapDot11Bss'),
    'iana-if-type:capwapDot11Profile':('ydk.models.ydktest.iana_if_type', 'CapwapDot11Profile'),
    'iana-if-type:capwapWtpVirtualRadio':('ydk.models.ydktest.iana_if_type', 'CapwapWtpVirtualRadio'),
    'iana-if-type:cblVectaStar':('ydk.models.ydktest.iana_if_type', 'CblVectaStar'),
    'iana-if-type:cctEmul':('ydk.models.ydktest.iana_if_type', 'CctEmul'),
    'iana-if-type:ces':('ydk.models.ydktest.iana_if_type', 'Ces'),
    'iana-if-type:channel':('ydk.models.ydktest.iana_if_type', 'Channel'),
    'iana-if-type:ciscoISLvlan':('ydk.models.ydktest.iana_if_type', 'CiscoISLvlan'),
    'iana-if-type:cnr':('ydk.models.ydktest.iana_if_type', 'Cnr'),
    'iana-if-type:coffee':('ydk.models.ydktest.iana_if_type', 'Coffee'),
    'iana-if-type:compositeLink':('ydk.models.ydktest.iana_if_type', 'CompositeLink'),
    'iana-if-type:dcn':('ydk.models.ydktest.iana_if_type', 'Dcn'),
    'iana-if-type:ddnX25':('ydk.models.ydktest.iana_if_type', 'DdnX25'),
    'iana-if-type:digitalPowerline':('ydk.models.ydktest.iana_if_type', 'DigitalPowerline'),
    'iana-if-type:digitalWrapperOverheadChannel':('ydk.models.ydktest.iana_if_type', 'DigitalWrapperOverheadChannel'),
    'iana-if-type:dlsw':('ydk.models.ydktest.iana_if_type', 'Dlsw'),
    'iana-if-type:docsCableDownstream':('ydk.models.ydktest.iana_if_type', 'DocsCableDownstream'),
    'iana-if-type:docsCableMCmtsDownstream':('ydk.models.ydktest.iana_if_type', 'DocsCableMCmtsDownstream'),
    'iana-if-type:docsCableMaclayer':('ydk.models.ydktest.iana_if_type', 'DocsCableMaclayer'),
    'iana-if-type:docsCableUpstream':('ydk.models.ydktest.iana_if_type', 'DocsCableUpstream'),
    'iana-if-type:docsCableUpstreamChannel':('ydk.models.ydktest.iana_if_type', 'DocsCableUpstreamChannel'),
    'iana-if-type:docsCableUpstreamRfPort':('ydk.models.ydktest.iana_if_type', 'DocsCableUpstreamRfPort'),
    'iana-if-type:ds0':('ydk.models.ydktest.iana_if_type', 'Ds0'),
    'iana-if-type:ds0Bundle':('ydk.models.ydktest.iana_if_type', 'Ds0Bundle'),
    'iana-if-type:ds1':('ydk.models.ydktest.iana_if_type', 'Ds1'),
    'iana-if-type:ds1FDL':('ydk.models.ydktest.iana_if_type', 'Ds1FDL'),
    'iana-if-type:ds3':('ydk.models.ydktest.iana_if_type', 'Ds3'),
    'iana-if-type:dtm':('ydk.models.ydktest.iana_if_type', 'Dtm'),
    'iana-if-type:dvbAsiIn':('ydk.models.ydktest.iana_if_type', 'DvbAsiIn'),
    'iana-if-type:dvbAsiOut':('ydk.models.ydktest.iana_if_type', 'DvbAsiOut'),
    'iana-if-type:dvbRccDownstream':('ydk.models.ydktest.iana_if_type', 'DvbRccDownstream'),
    'iana-if-type:dvbRccMacLayer':('ydk.models.ydktest.iana_if_type', 'DvbRccMacLayer'),
    'iana-if-type:dvbRccUpstream':('ydk.models.ydktest.iana_if_type', 'DvbRccUpstream'),
    'iana-if-type:dvbRcsMacLayer':('ydk.models.ydktest.iana_if_type', 'DvbRcsMacLayer'),
    'iana-if-type:dvbRcsTdma':('ydk.models.ydktest.iana_if_type', 'DvbRcsTdma'),
    'iana-if-type:dvbTdm':('ydk.models.ydktest.iana_if_type', 'DvbTdm'),
    'iana-if-type:e1':('ydk.models.ydktest.iana_if_type', 'E1'),
    'iana-if-type:econet':('ydk.models.ydktest.iana_if_type', 'Econet'),
    'iana-if-type:eon':('ydk.models.ydktest.iana_if_type', 'Eon'),
    'iana-if-type:eplrs':('ydk.models.ydktest.iana_if_type', 'Eplrs'),
    'iana-if-type:escon':('ydk.models.ydktest.iana_if_type', 'Escon'),
    'iana-if-type:ethernet3Mbit':('ydk.models.ydktest.iana_if_type', 'Ethernet3Mbit'),
    'iana-if-type:ethernetCsmacd':('ydk.models.ydktest.iana_if_type', 'EthernetCsmacd'),
    'iana-if-type:fast':('ydk.models.ydktest.iana_if_type', 'Fast'),
    'iana-if-type:fastEther':('ydk.models.ydktest.iana_if_type', 'FastEther'),
    'iana-if-type:fastEtherFX':('ydk.models.ydktest.iana_if_type', 'FastEtherFX'),
    'iana-if-type:fcipLink':('ydk.models.ydktest.iana_if_type', 'FcipLink'),
    'iana-if-type:fddi':('ydk.models.ydktest.iana_if_type', 'Fddi'),
    'iana-if-type:fibreChannel':('ydk.models.ydktest.iana_if_type', 'FibreChannel'),
    'iana-if-type:frDlciEndPt':('ydk.models.ydktest.iana_if_type', 'FrDlciEndPt'),
    'iana-if-type:frForward':('ydk.models.ydktest.iana_if_type', 'FrForward'),
    'iana-if-type:frameRelay':('ydk.models.ydktest.iana_if_type', 'FrameRelay'),
    'iana-if-type:frameRelayInterconnect':('ydk.models.ydktest.iana_if_type', 'FrameRelayInterconnect'),
    'iana-if-type:frameRelayMPI':('ydk.models.ydktest.iana_if_type', 'FrameRelayMPI'),
    'iana-if-type:frameRelayService':('ydk.models.ydktest.iana_if_type', 'FrameRelayService'),
    'iana-if-type:frf16MfrBundle':('ydk.models.ydktest.iana_if_type', 'Frf16MfrBundle'),
    'iana-if-type:g703at2mb':('ydk.models.ydktest.iana_if_type', 'G703at2mb'),
    'iana-if-type:g703at64k':('ydk.models.ydktest.iana_if_type', 'G703at64k'),
    'iana-if-type:g9981':('ydk.models.ydktest.iana_if_type', 'G9981'),
    'iana-if-type:g9982':('ydk.models.ydktest.iana_if_type', 'G9982'),
    'iana-if-type:g9983':('ydk.models.ydktest.iana_if_type', 'G9983'),
    'iana-if-type:gfp':('ydk.models.ydktest.iana_if_type', 'Gfp'),
    'iana-if-type:gigabitEthernet':('ydk.models.ydktest.iana_if_type', 'GigabitEthernet'),
    'iana-if-type:gpon':('ydk.models.ydktest.iana_if_type', 'Gpon'),
    'iana-if-type:gr303IDT':('ydk.models.ydktest.iana_if_type', 'Gr303IDT'),
    'iana-if-type:gr303RDT':('ydk.models.ydktest.iana_if_type', 'Gr303RDT'),
    'iana-if-type:gtp':('ydk.models.ydktest.iana_if_type', 'Gtp'),
    'iana-if-type:h323Gatekeeper':('ydk.models.ydktest.iana_if_type', 'H323Gatekeeper'),
    'iana-if-type:h323Proxy':('ydk.models.ydktest.iana_if_type', 'H323Proxy'),
    'iana-if-type:hdh1822':('ydk.models.ydktest.iana_if_type', 'Hdh1822'),
    'iana-if-type:hdlc':('ydk.models.ydktest.iana_if_type', 'Hdlc'),
    'iana-if-type:hdsl2':('ydk.models.ydktest.iana_if_type', 'Hdsl2'),
    'iana-if-type:hiperlan2':('ydk.models.ydktest.iana_if_type', 'Hiperlan2'),
    'iana-if-type:hippi':('ydk.models.ydktest.iana_if_type', 'Hippi'),
    'iana-if-type:hippiInterface':('ydk.models.ydktest.iana_if_type', 'HippiInterface'),
    'iana-if-type:homepna':('ydk.models.ydktest.iana_if_type', 'Homepna'),
    'iana-if-type:hostPad':('ydk.models.ydktest.iana_if_type', 'HostPad'),
    'iana-if-type:hssi':('ydk.models.ydktest.iana_if_type', 'Hssi'),
    'iana-if-type:hyperchannel':('ydk.models.ydktest.iana_if_type', 'Hyperchannel'),
    'iana-if-type:iana-interface-type':('ydk.models.ydktest.iana_if_type', 'IanaInterfaceType'),
    'iana-if-type:ibm370parChan':('ydk.models.ydktest.iana_if_type', 'Ibm370parChan'),
    'iana-if-type:idsl':('ydk.models.ydktest.iana_if_type', 'Idsl'),
    'iana-if-type:ieee1394':('ydk.models.ydktest.iana_if_type', 'Ieee1394'),
    'iana-if-type:ieee80211':('ydk.models.ydktest.iana_if_type', 'Ieee80211'),
    'iana-if-type:ieee80212':('ydk.models.ydktest.iana_if_type', 'Ieee80212'),
    'iana-if-type:ieee802154':('ydk.models.ydktest.iana_if_type', 'Ieee802154'),
    'iana-if-type:ieee80216WMAN':('ydk.models.ydktest.iana_if_type', 'Ieee80216WMAN'),
    'iana-if-type:ieee8023adLag':('ydk.models.ydktest.iana_if_type', 'Ieee8023adLag'),
    'iana-if-type:if-gsn':('ydk.models.ydktest.iana_if_type', 'IfGsn'),
    'iana-if-type:ifPwType':('ydk.models.ydktest.iana_if_type', 'IfPwType'),
    'iana-if-type:ifVfiType':('ydk.models.ydktest.iana_if_type', 'IfVfiType'),
    'iana-if-type:ilan':('ydk.models.ydktest.iana_if_type', 'Ilan'),
    'iana-if-type:imt':('ydk.models.ydktest.iana_if_type', 'Imt'),
    'iana-if-type:infiniband':('ydk.models.ydktest.iana_if_type', 'Infiniband'),
    'iana-if-type:interleave':('ydk.models.ydktest.iana_if_type', 'Interleave'),
    'iana-if-type:ip':('ydk.models.ydktest.iana_if_type', 'Ip'),
    'iana-if-type:ipForward':('ydk.models.ydktest.iana_if_type', 'IpForward'),
    'iana-if-type:ipOverAtm':('ydk.models.ydktest.iana_if_type', 'IpOverAtm'),
    'iana-if-type:ipOverCdlc':('ydk.models.ydktest.iana_if_type', 'IpOverCdlc'),
    'iana-if-type:ipOverClaw':('ydk.models.ydktest.iana_if_type', 'IpOverClaw'),
    'iana-if-type:ipSwitch':('ydk.models.ydktest.iana_if_type', 'IpSwitch'),
    'iana-if-type:isdn':('ydk.models.ydktest.iana_if_type', 'Isdn'),
    'iana-if-type:isdns':('ydk.models.ydktest.iana_if_type', 'Isdns'),
    'iana-if-type:isdnu':('ydk.models.ydktest.iana_if_type', 'Isdnu'),
    'iana-if-type:iso88022llc':('ydk.models.ydktest.iana_if_type', 'Iso88022llc'),
    'iana-if-type:iso88023Csmacd':('ydk.models.ydktest.iana_if_type', 'Iso88023Csmacd'),
    'iana-if-type:iso88024TokenBus':('ydk.models.ydktest.iana_if_type', 'Iso88024TokenBus'),
    'iana-if-type:iso88025CRFPInt':('ydk.models.ydktest.iana_if_type', 'Iso88025CRFPInt'),
    'iana-if-type:iso88025Dtr':('ydk.models.ydktest.iana_if_type', 'Iso88025Dtr'),
    'iana-if-type:iso88025Fiber':('ydk.models.ydktest.iana_if_type', 'Iso88025Fiber'),
    'iana-if-type:iso88025TokenRing':('ydk.models.ydktest.iana_if_type', 'Iso88025TokenRing'),
    'iana-if-type:iso88026Man':('ydk.models.ydktest.iana_if_type', 'Iso88026Man'),
    'iana-if-type:isup':('ydk.models.ydktest.iana_if_type', 'Isup'),
    'iana-if-type:l2vlan':('ydk.models.ydktest.iana_if_type', 'L2vlan'),
    'iana-if-type:l3ipvlan':('ydk.models.ydktest.iana_if_type', 'L3ipvlan'),
    'iana-if-type:l3ipxvlan':('ydk.models.ydktest.iana_if_type', 'L3ipxvlan'),
    'iana-if-type:lapb':('ydk.models.ydktest.iana_if_type', 'Lapb'),
    'iana-if-type:lapd':('ydk.models.ydktest.iana_if_type', 'Lapd'),
    'iana-if-type:lapf':('ydk.models.ydktest.iana_if_type', 'Lapf'),
    'iana-if-type:linegroup':('ydk.models.ydktest.iana_if_type', 'Linegroup'),
    'iana-if-type:lmp':('ydk.models.ydktest.iana_if_type', 'Lmp'),
    'iana-if-type:localTalk':('ydk.models.ydktest.iana_if_type', 'LocalTalk'),
    'iana-if-type:macSecControlledIF':('ydk.models.ydktest.iana_if_type', 'MacSecControlledIF'),
    'iana-if-type:macSecUncontrolledIF':('ydk.models.ydktest.iana_if_type', 'MacSecUncontrolledIF'),
    'iana-if-type:mediaMailOverIp':('ydk.models.ydktest.iana_if_type', 'MediaMailOverIp'),
    'iana-if-type:mfSigLink':('ydk.models.ydktest.iana_if_type', 'MfSigLink'),
    'iana-if-type:miox25':('ydk.models.ydktest.iana_if_type', 'Miox25'),
    'iana-if-type:mocaVersion1':('ydk.models.ydktest.iana_if_type', 'MocaVersion1'),
    'iana-if-type:modem':('ydk.models.ydktest.iana_if_type', 'Modem'),
    'iana-if-type:mpc':('ydk.models.ydktest.iana_if_type', 'Mpc'),
    'iana-if-type:mpegTransport':('ydk.models.ydktest.iana_if_type', 'MpegTransport'),
    'iana-if-type:mpls':('ydk.models.ydktest.iana_if_type', 'Mpls'),
    'iana-if-type:mplsTunnel':('ydk.models.ydktest.iana_if_type', 'MplsTunnel'),
    'iana-if-type:msdsl':('ydk.models.ydktest.iana_if_type', 'Msdsl'),
    'iana-if-type:mvl':('ydk.models.ydktest.iana_if_type', 'Mvl'),
    'iana-if-type:myrinet':('ydk.models.ydktest.iana_if_type', 'Myrinet'),
    'iana-if-type:nfas':('ydk.models.ydktest.iana_if_type', 'Nfas'),
    'iana-if-type:nsip':('ydk.models.ydktest.iana_if_type', 'Nsip'),
    'iana-if-type:opticalChannel':('ydk.models.ydktest.iana_if_type', 'OpticalChannel'),
    'iana-if-type:opticalChannelGroup':('ydk.models.ydktest.iana_if_type', 'OpticalChannelGroup'),
    'iana-if-type:opticalTransport':('ydk.models.ydktest.iana_if_type', 'OpticalTransport'),
    'iana-if-type:other':('ydk.models.ydktest.iana_if_type', 'Other'),
    'iana-if-type:otnOdu':('ydk.models.ydktest.iana_if_type', 'OtnOdu'),
    'iana-if-type:otnOtu':('ydk.models.ydktest.iana_if_type', 'OtnOtu'),
    'iana-if-type:para':('ydk.models.ydktest.iana_if_type', 'Para'),
    'iana-if-type:pdnEtherLoop1':('ydk.models.ydktest.iana_if_type', 'PdnEtherLoop1'),
    'iana-if-type:pdnEtherLoop2':('ydk.models.ydktest.iana_if_type', 'PdnEtherLoop2'),
    'iana-if-type:pip':('ydk.models.ydktest.iana_if_type', 'Pip'),
    'iana-if-type:plc':('ydk.models.ydktest.iana_if_type', 'Plc'),
    'iana-if-type:pon155':('ydk.models.ydktest.iana_if_type', 'Pon155'),
    'iana-if-type:pon622':('ydk.models.ydktest.iana_if_type', 'Pon622'),
    'iana-if-type:pos':('ydk.models.ydktest.iana_if_type', 'Pos'),
    'iana-if-type:ppp':('ydk.models.ydktest.iana_if_type', 'Ppp'),
    'iana-if-type:pppMultilinkBundle':('ydk.models.ydktest.iana_if_type', 'PppMultilinkBundle'),
    'iana-if-type:primaryISDN':('ydk.models.ydktest.iana_if_type', 'PrimaryISDN'),
    'iana-if-type:propAtm':('ydk.models.ydktest.iana_if_type', 'PropAtm'),
    'iana-if-type:propBWAp2Mp':('ydk.models.ydktest.iana_if_type', 'PropBWAp2Mp'),
    'iana-if-type:propCnls':('ydk.models.ydktest.iana_if_type', 'PropCnls'),
    'iana-if-type:propDocsWirelessDownstream':('ydk.models.ydktest.iana_if_type', 'PropDocsWirelessDownstream'),
    'iana-if-type:propDocsWirelessMaclayer':('ydk.models.ydktest.iana_if_type', 'PropDocsWirelessMaclayer'),
    'iana-if-type:propDocsWirelessUpstream':('ydk.models.ydktest.iana_if_type', 'PropDocsWirelessUpstream'),
    'iana-if-type:propMultiplexor':('ydk.models.ydktest.iana_if_type', 'PropMultiplexor'),
    'iana-if-type:propPointToPointSerial':('ydk.models.ydktest.iana_if_type', 'PropPointToPointSerial'),
    'iana-if-type:propVirtual':('ydk.models.ydktest.iana_if_type', 'PropVirtual'),
    'iana-if-type:propWirelessP2P':('ydk.models.ydktest.iana_if_type', 'PropWirelessP2P'),
    'iana-if-type:proteon10Mbit':('ydk.models.ydktest.iana_if_type', 'Proteon10Mbit'),
    'iana-if-type:proteon80Mbit':('ydk.models.ydktest.iana_if_type', 'Proteon80Mbit'),
    'iana-if-type:q2931':('ydk.models.ydktest.iana_if_type', 'Q2931'),
    'iana-if-type:qam':('ydk.models.ydktest.iana_if_type', 'Qam'),
    'iana-if-type:qllc':('ydk.models.ydktest.iana_if_type', 'Qllc'),
    'iana-if-type:radioMAC':('ydk.models.ydktest.iana_if_type', 'RadioMAC'),
    'iana-if-type:radsl':('ydk.models.ydktest.iana_if_type', 'Radsl'),
    'iana-if-type:reachDSL':('ydk.models.ydktest.iana_if_type', 'ReachDSL'),
    'iana-if-type:regular1822':('ydk.models.ydktest.iana_if_type', 'Regular1822'),
    'iana-if-type:rfc1483':('ydk.models.ydktest.iana_if_type', 'Rfc1483'),
    'iana-if-type:rfc877x25':('ydk.models.ydktest.iana_if_type', 'Rfc877x25'),
    'iana-if-type:rpr':('ydk.models.ydktest.iana_if_type', 'Rpr'),
    'iana-if-type:rs232':('ydk.models.ydktest.iana_if_type', 'Rs232'),
    'iana-if-type:rsrb':('ydk.models.ydktest.iana_if_type', 'Rsrb'),
    'iana-if-type:sdlc':('ydk.models.ydktest.iana_if_type', 'Sdlc'),
    'iana-if-type:sdsl':('ydk.models.ydktest.iana_if_type', 'Sdsl'),
    'iana-if-type:shdsl':('ydk.models.ydktest.iana_if_type', 'Shdsl'),
    'iana-if-type:sip':('ydk.models.ydktest.iana_if_type', 'Sip'),
    'iana-if-type:sipSig':('ydk.models.ydktest.iana_if_type', 'SipSig'),
    'iana-if-type:sipTg':('ydk.models.ydktest.iana_if_type', 'SipTg'),
    'iana-if-type:sixToFour':('ydk.models.ydktest.iana_if_type', 'SixToFour'),
    'iana-if-type:slip':('ydk.models.ydktest.iana_if_type', 'Slip'),
    'iana-if-type:smdsDxi':('ydk.models.ydktest.iana_if_type', 'SmdsDxi'),
    'iana-if-type:smdsIcip':('ydk.models.ydktest.iana_if_type', 'SmdsIcip'),
    'iana-if-type:softwareLoopback':('ydk.models.ydktest.iana_if_type', 'SoftwareLoopback'),
    'iana-if-type:sonet':('ydk.models.ydktest.iana_if_type', 'Sonet'),
    'iana-if-type:sonetOverheadChannel':('ydk.models.ydktest.iana_if_type', 'SonetOverheadChannel'),
    'iana-if-type:sonetPath':('ydk.models.ydktest.iana_if_type', 'SonetPath'),
    'iana-if-type:sonetVT':('ydk.models.ydktest.iana_if_type', 'SonetVT'),
    'iana-if-type:srp':('ydk.models.ydktest.iana_if_type', 'Srp'),
    'iana-if-type:ss7SigLink':('ydk.models.ydktest.iana_if_type', 'Ss7SigLink'),
    'iana-if-type:stackToStack':('ydk.models.ydktest.iana_if_type', 'StackToStack'),
    'iana-if-type:starLan':('ydk.models.ydktest.iana_if_type', 'StarLan'),
    'iana-if-type:tdlc':('ydk.models.ydktest.iana_if_type', 'Tdlc'),
    'iana-if-type:teLink':('ydk.models.ydktest.iana_if_type', 'TeLink'),
    'iana-if-type:termPad':('ydk.models.ydktest.iana_if_type', 'TermPad'),
    'iana-if-type:tr008':('ydk.models.ydktest.iana_if_type', 'Tr008'),
    'iana-if-type:transpHdlc':('ydk.models.ydktest.iana_if_type', 'TranspHdlc'),
    'iana-if-type:tunnel':('ydk.models.ydktest.iana_if_type', 'Tunnel'),
    'iana-if-type:ultra':('ydk.models.ydktest.iana_if_type', 'Ultra'),
    'iana-if-type:usb':('ydk.models.ydktest.iana_if_type', 'Usb'),
    'iana-if-type:v11':('ydk.models.ydktest.iana_if_type', 'V11'),
    'iana-if-type:v35':('ydk.models.ydktest.iana_if_type', 'V35'),
    'iana-if-type:v36':('ydk.models.ydktest.iana_if_type', 'V36'),
    'iana-if-type:v37':('ydk.models.ydktest.iana_if_type', 'V37'),
    'iana-if-type:vdsl':('ydk.models.ydktest.iana_if_type', 'Vdsl'),
    'iana-if-type:vdsl2':('ydk.models.ydktest.iana_if_type', 'Vdsl2'),
    'iana-if-type:virtualIpAddress':('ydk.models.ydktest.iana_if_type', 'VirtualIpAddress'),
    'iana-if-type:virtualTg':('ydk.models.ydktest.iana_if_type', 'VirtualTg'),
    'iana-if-type:vmwareNicTeam':('ydk.models.ydktest.iana_if_type', 'VmwareNicTeam'),
    'iana-if-type:vmwareVirtualNic':('ydk.models.ydktest.iana_if_type', 'VmwareVirtualNic'),
    'iana-if-type:voiceDID':('ydk.models.ydktest.iana_if_type', 'VoiceDID'),
    'iana-if-type:voiceEBS':('ydk.models.ydktest.iana_if_type', 'VoiceEBS'),
    'iana-if-type:voiceEM':('ydk.models.ydktest.iana_if_type', 'VoiceEM'),
    'iana-if-type:voiceEMFGD':('ydk.models.ydktest.iana_if_type', 'VoiceEMFGD'),
    'iana-if-type:voiceEncap':('ydk.models.ydktest.iana_if_type', 'VoiceEncap'),
    'iana-if-type:voiceFGDEANA':('ydk.models.ydktest.iana_if_type', 'VoiceFGDEANA'),
    'iana-if-type:voiceFGDOS':('ydk.models.ydktest.iana_if_type', 'VoiceFGDOS'),
    'iana-if-type:voiceFXO':('ydk.models.ydktest.iana_if_type', 'VoiceFXO'),
    'iana-if-type:voiceFXS':('ydk.models.ydktest.iana_if_type', 'VoiceFXS'),
    'iana-if-type:voiceOverAtm':('ydk.models.ydktest.iana_if_type', 'VoiceOverAtm'),
    'iana-if-type:voiceOverCable':('ydk.models.ydktest.iana_if_type', 'VoiceOverCable'),
    'iana-if-type:voiceOverFrameRelay':('ydk.models.ydktest.iana_if_type', 'VoiceOverFrameRelay'),
    'iana-if-type:voiceOverIp':('ydk.models.ydktest.iana_if_type', 'VoiceOverIp'),
    'iana-if-type:wwanPP':('ydk.models.ydktest.iana_if_type', 'WwanPP'),
    'iana-if-type:wwanPP2':('ydk.models.ydktest.iana_if_type', 'WwanPP2'),
    'iana-if-type:x213':('ydk.models.ydktest.iana_if_type', 'X213'),
    'iana-if-type:x25huntGroup':('ydk.models.ydktest.iana_if_type', 'X25huntGroup'),
    'iana-if-type:x25mlp':('ydk.models.ydktest.iana_if_type', 'X25mlp'),
    'iana-if-type:x25ple':('ydk.models.ydktest.iana_if_type', 'X25ple'),
    'iana-if-type:x86Laps':('ydk.models.ydktest.iana_if_type', 'X86Laps'),
    'ietf-interfaces:interface-type':('ydk.models.ydktest.ietf_interfaces', 'InterfaceType'),
    'ietf-netconf-monitoring:netconf-beep':('ydk.models.ydktest.ietf_netconf_monitoring', 'NetconfBeep'),
    'ietf-netconf-monitoring:netconf-soap-over-beep':('ydk.models.ydktest.ietf_netconf_monitoring', 'NetconfSoapOverBeep'),
    'ietf-netconf-monitoring:netconf-soap-over-https':('ydk.models.ydktest.ietf_netconf_monitoring', 'NetconfSoapOverHttps'),
    'ietf-netconf-monitoring:netconf-ssh':('ydk.models.ydktest.ietf_netconf_monitoring', 'NetconfSsh'),
    'ietf-netconf-monitoring:netconf-tls':('ydk.models.ydktest.ietf_netconf_monitoring', 'NetconfTls'),
    'ietf-netconf-monitoring:rnc':('ydk.models.ydktest.ietf_netconf_monitoring', 'Rnc'),
    'ietf-netconf-monitoring:rng':('ydk.models.ydktest.ietf_netconf_monitoring', 'Rng'),
    'ietf-netconf-monitoring:schema-format':('ydk.models.ydktest.ietf_netconf_monitoring', 'SchemaFormat'),
    'ietf-netconf-monitoring:transport':('ydk.models.ydktest.ietf_netconf_monitoring', 'Transport'),
    'ietf-netconf-monitoring:xsd':('ydk.models.ydktest.ietf_netconf_monitoring', 'Xsd'),
    'ietf-netconf-monitoring:yang':('ydk.models.ydktest.ietf_netconf_monitoring', 'Yang'),
    'ietf-netconf-monitoring:yin':('ydk.models.ydktest.ietf_netconf_monitoring', 'Yin'),
    'ietf-system:authentication-method':('ydk.models.ydktest.ietf_system', 'AuthenticationMethod'),
    'ietf-system:local-users':('ydk.models.ydktest.ietf_system', 'LocalUsers'),
    'ietf-system:radius':('ydk.models.ydktest.ietf_system', 'Radius'),
    'ietf-system:radius-authentication-type':('ydk.models.ydktest.ietf_system', 'RadiusAuthenticationType'),
    'ietf-system:radius-chap':('ydk.models.ydktest.ietf_system', 'RadiusChap'),
    'ietf-system:radius-pap':('ydk.models.ydktest.ietf_system', 'RadiusPap'),
    'openconfig-bgp-types:ADD_PATHS':('ydk.models.ydktest.openconfig_bgp_types', 'ADDPATHS'),
    'openconfig-bgp-types:AFI_SAFI_TYPE':('ydk.models.ydktest.openconfig_bgp_types', 'AFISAFITYPE'),
    'openconfig-bgp-types:ASN32':('ydk.models.ydktest.openconfig_bgp_types', 'ASN32'),
    'openconfig-bgp-types:BGP_CAPABILITY':('ydk.models.ydktest.openconfig_bgp_types', 'BGPCAPABILITY'),
    'openconfig-bgp-types:BGP_WELL_KNOWN_STD_COMMUNITY':('ydk.models.ydktest.openconfig_bgp_types', 'BGPWELLKNOWNSTDCOMMUNITY'),
    'openconfig-bgp-types:GRACEFUL_RESTART':('ydk.models.ydktest.openconfig_bgp_types', 'GRACEFULRESTART'),
    'openconfig-bgp-types:IPV4_LABELED_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'IPV4LABELEDUNICAST'),
    'openconfig-bgp-types:IPV4_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'IPV4UNICAST'),
    'openconfig-bgp-types:IPV6_LABELED_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'IPV6LABELEDUNICAST'),
    'openconfig-bgp-types:IPV6_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'IPV6UNICAST'),
    'openconfig-bgp-types:L2VPN_EVPN':('ydk.models.ydktest.openconfig_bgp_types', 'L2VPNEVPN'),
    'openconfig-bgp-types:L2VPN_VPLS':('ydk.models.ydktest.openconfig_bgp_types', 'L2VPNVPLS'),
    'openconfig-bgp-types:L3VPN_IPV4_MULTICAST':('ydk.models.ydktest.openconfig_bgp_types', 'L3VPNIPV4MULTICAST'),
    'openconfig-bgp-types:L3VPN_IPV4_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'L3VPNIPV4UNICAST'),
    'openconfig-bgp-types:L3VPN_IPV6_MULTICAST':('ydk.models.ydktest.openconfig_bgp_types', 'L3VPNIPV6MULTICAST'),
    'openconfig-bgp-types:L3VPN_IPV6_UNICAST':('ydk.models.ydktest.openconfig_bgp_types', 'L3VPNIPV6UNICAST'),
    'openconfig-bgp-types:MPBGP':('ydk.models.ydktest.openconfig_bgp_types', 'MPBGP'),
    'openconfig-bgp-types:NO_ADVERTISE':('ydk.models.ydktest.openconfig_bgp_types', 'NOADVERTISE'),
    'openconfig-bgp-types:NO_EXPORT':('ydk.models.ydktest.openconfig_bgp_types', 'NOEXPORT'),
    'openconfig-bgp-types:NO_EXPORT_SUBCONFED':('ydk.models.ydktest.openconfig_bgp_types', 'NOEXPORTSUBCONFED'),
    'openconfig-bgp-types:NOPEER':('ydk.models.ydktest.openconfig_bgp_types', 'NOPEER'),
    'openconfig-bgp-types:PRIVATE_AS_REMOVE_ALL':('ydk.models.ydktest.openconfig_bgp_types', 'PRIVATEASREMOVEALL'),
    'openconfig-bgp-types:PRIVATE_AS_REPLACE_ALL':('ydk.models.ydktest.openconfig_bgp_types', 'PRIVATEASREPLACEALL'),
    'openconfig-bgp-types:REMOVE_PRIVATE_AS_OPTION':('ydk.models.ydktest.openconfig_bgp_types', 'REMOVEPRIVATEASOPTION'),
    'openconfig-bgp-types:ROUTE_REFRESH':('ydk.models.ydktest.openconfig_bgp_types', 'ROUTEREFRESH'),
    'openconfig-if-ethernet:ETHERNET_SPEED':('ydk.models.ydktest.openconfig_if_ethernet', 'ETHERNETSPEED'),
    'openconfig-if-ethernet:SPEED_100GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED100GB'),
    'openconfig-if-ethernet:SPEED_100MB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED100MB'),
    'openconfig-if-ethernet:SPEED_10GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED10GB'),
    'openconfig-if-ethernet:SPEED_10MB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED10MB'),
    'openconfig-if-ethernet:SPEED_1GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED1GB'),
    'openconfig-if-ethernet:SPEED_25GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED25GB'),
    'openconfig-if-ethernet:SPEED_40GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED40GB'),
    'openconfig-if-ethernet:SPEED_50GB':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEED50GB'),
    'openconfig-if-ethernet:SPEED_UNKNOWN':('ydk.models.ydktest.openconfig_if_ethernet', 'SPEEDUNKNOWN'),
    'openconfig-platform-types:BACKPLANE':('ydk.models.ydktest.openconfig_platform_types', 'BACKPLANE'),
    'openconfig-platform-types:CHASSIS':('ydk.models.ydktest.openconfig_platform_types', 'CHASSIS'),
    'openconfig-platform-types:CPU':('ydk.models.ydktest.openconfig_platform_types', 'CPU'),
    'openconfig-platform-types:FAN':('ydk.models.ydktest.openconfig_platform_types', 'FAN'),
    'openconfig-platform-types:LINECARD':('ydk.models.ydktest.openconfig_platform_types', 'LINECARD'),
    'openconfig-platform-types:MODULE':('ydk.models.ydktest.openconfig_platform_types', 'MODULE'),
    'openconfig-platform-types:OPENCONFIG_HARDWARE_COMPONENT':('ydk.models.ydktest.openconfig_platform_types', 'OPENCONFIGHARDWARECOMPONENT'),
    'openconfig-platform-types:OPENCONFIG_SOFTWARE_COMPONENT':('ydk.models.ydktest.openconfig_platform_types', 'OPENCONFIGSOFTWARECOMPONENT'),
    'openconfig-platform-types:OPERATING_SYSTEM':('ydk.models.ydktest.openconfig_platform_types', 'OPERATINGSYSTEM'),
    'openconfig-platform-types:PORT':('ydk.models.ydktest.openconfig_platform_types', 'PORT'),
    'openconfig-platform-types:POWER_SUPPLY':('ydk.models.ydktest.openconfig_platform_types', 'POWERSUPPLY'),
    'openconfig-platform-types:SENSOR':('ydk.models.ydktest.openconfig_platform_types', 'SENSOR'),
    'openconfig-platform-types:TRANSCEIVER':('ydk.models.ydktest.openconfig_platform_types', 'TRANSCEIVER'),
    'openconfig-policy-types:ATTRIBUTE_COMPARISON':('ydk.models.ydktest.openconfig_policy_types', 'ATTRIBUTECOMPARISON'),
    'openconfig-policy-types:ATTRIBUTE_EQ':('ydk.models.ydktest.openconfig_policy_types', 'ATTRIBUTEEQ'),
    'openconfig-policy-types:ATTRIBUTE_GE':('ydk.models.ydktest.openconfig_policy_types', 'ATTRIBUTEGE'),
    'openconfig-policy-types:ATTRIBUTE_LE':('ydk.models.ydktest.openconfig_policy_types', 'ATTRIBUTELE'),
    'openconfig-policy-types:BGP':('ydk.models.ydktest.openconfig_policy_types', 'BGP'),
    'openconfig-policy-types:DIRECTLY_CONNECTED':('ydk.models.ydktest.openconfig_policy_types', 'DIRECTLYCONNECTED'),
    'openconfig-policy-types:INSTALL_PROTOCOL_TYPE':('ydk.models.ydktest.openconfig_policy_types', 'INSTALLPROTOCOLTYPE'),
    'openconfig-policy-types:ISIS':('ydk.models.ydktest.openconfig_policy_types', 'ISIS'),
    'openconfig-policy-types:LOCAL_AGGREGATE':('ydk.models.ydktest.openconfig_policy_types', 'LOCALAGGREGATE'),
    'openconfig-policy-types:OSPF':('ydk.models.ydktest.openconfig_policy_types', 'OSPF'),
    'openconfig-policy-types:OSPF3':('ydk.models.ydktest.openconfig_policy_types', 'OSPF3'),
    'openconfig-policy-types:STATIC':('ydk.models.ydktest.openconfig_policy_types', 'STATIC'),
    'openconfig-transport-types:CFP':('ydk.models.ydktest.openconfig_transport_types', 'CFP'),
    'openconfig-transport-types:CFP2':('ydk.models.ydktest.openconfig_transport_types', 'CFP2'),
    'openconfig-transport-types:CFP2_ACO':('ydk.models.ydktest.openconfig_transport_types', 'CFP2ACO'),
    'openconfig-transport-types:CFP4':('ydk.models.ydktest.openconfig_transport_types', 'CFP4'),
    'openconfig-transport-types:ETH_100G_ACC':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GACC'),
    'openconfig-transport-types:ETH_100G_AOC':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GAOC'),
    'openconfig-transport-types:ETH_100GBASE_CLR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASECLR4'),
    'openconfig-transport-types:ETH_100GBASE_CR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASECR4'),
    'openconfig-transport-types:ETH_100GBASE_CWDM4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASECWDM4'),
    'openconfig-transport-types:ETH_100GBASE_ER4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASEER4'),
    'openconfig-transport-types:ETH_100GBASE_LR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASELR4'),
    'openconfig-transport-types:ETH_100GBASE_PSM4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASEPSM4'),
    'openconfig-transport-types:ETH_100GBASE_SR10':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASESR10'),
    'openconfig-transport-types:ETH_100GBASE_SR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH100GBASESR4'),
    'openconfig-transport-types:ETH_10GBASE_ER':('ydk.models.ydktest.openconfig_transport_types', 'ETH10GBASEER'),
    'openconfig-transport-types:ETH_10GBASE_LR':('ydk.models.ydktest.openconfig_transport_types', 'ETH10GBASELR'),
    'openconfig-transport-types:ETH_10GBASE_LRM':('ydk.models.ydktest.openconfig_transport_types', 'ETH10GBASELRM'),
    'openconfig-transport-types:ETH_10GBASE_SR':('ydk.models.ydktest.openconfig_transport_types', 'ETH10GBASESR'),
    'openconfig-transport-types:ETH_10GBASE_ZR':('ydk.models.ydktest.openconfig_transport_types', 'ETH10GBASEZR'),
    'openconfig-transport-types:ETH_40GBASE_CR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH40GBASECR4'),
    'openconfig-transport-types:ETH_40GBASE_ER4':('ydk.models.ydktest.openconfig_transport_types', 'ETH40GBASEER4'),
    'openconfig-transport-types:ETH_40GBASE_LR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH40GBASELR4'),
    'openconfig-transport-types:ETH_40GBASE_PSM4':('ydk.models.ydktest.openconfig_transport_types', 'ETH40GBASEPSM4'),
    'openconfig-transport-types:ETH_40GBASE_SR4':('ydk.models.ydktest.openconfig_transport_types', 'ETH40GBASESR4'),
    'openconfig-transport-types:ETH_4X10GBASE_LR':('ydk.models.ydktest.openconfig_transport_types', 'ETH4X10GBASELR'),
    'openconfig-transport-types:ETH_4X10GBASE_SR':('ydk.models.ydktest.openconfig_transport_types', 'ETH4X10GBASESR'),
    'openconfig-transport-types:ETHERNET_PMD_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'ETHERNETPMDTYPE'),
    'openconfig-transport-types:ETH_UNDEFINED':('ydk.models.ydktest.openconfig_transport_types', 'ETHUNDEFINED'),
    'openconfig-transport-types:FIBER_CONNECTOR_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'FIBERCONNECTORTYPE'),
    'openconfig-transport-types:LC_CONNECTOR':('ydk.models.ydktest.openconfig_transport_types', 'LCCONNECTOR'),
    'openconfig-transport-types:LOGICAL_ELEMENT_PROTOCOL_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'LOGICALELEMENTPROTOCOLTYPE'),
    'openconfig-transport-types:MPO_CONNECTOR':('ydk.models.ydktest.openconfig_transport_types', 'MPOCONNECTOR'),
    'openconfig-transport-types:NON_PLUGGABLE':('ydk.models.ydktest.openconfig_transport_types', 'NONPLUGGABLE'),
    'openconfig-transport-types:OPTICAL_CHANNEL':('ydk.models.ydktest.openconfig_transport_types', 'OPTICALCHANNEL'),
    'openconfig-transport-types:OTHER':('ydk.models.ydktest.openconfig_transport_types', 'OTHER'),
    'openconfig-transport-types:OTN_APPLICATION_CODE':('ydk.models.ydktest.openconfig_transport_types', 'OTNAPPLICATIONCODE'),
    'openconfig-transport-types:OTN_UNDEFINED':('ydk.models.ydktest.openconfig_transport_types', 'OTNUNDEFINED'),
    'openconfig-transport-types:P1L1_2D1':('ydk.models.ydktest.openconfig_transport_types', 'P1L12D1'),
    'openconfig-transport-types:P1L1_2D2':('ydk.models.ydktest.openconfig_transport_types', 'P1L12D2'),
    'openconfig-transport-types:P1S1_2D2':('ydk.models.ydktest.openconfig_transport_types', 'P1S12D2'),
    'openconfig-transport-types:PROT_100GE':('ydk.models.ydktest.openconfig_transport_types', 'PROT100GE'),
    'openconfig-transport-types:PROT_100G_MLG':('ydk.models.ydktest.openconfig_transport_types', 'PROT100GMLG'),
    'openconfig-transport-types:PROT_10GE_LAN':('ydk.models.ydktest.openconfig_transport_types', 'PROT10GELAN'),
    'openconfig-transport-types:PROT_10GE_WAN':('ydk.models.ydktest.openconfig_transport_types', 'PROT10GEWAN'),
    'openconfig-transport-types:PROT_1GE':('ydk.models.ydktest.openconfig_transport_types', 'PROT1GE'),
    'openconfig-transport-types:PROT_40GE':('ydk.models.ydktest.openconfig_transport_types', 'PROT40GE'),
    'openconfig-transport-types:PROT_ETHERNET':('ydk.models.ydktest.openconfig_transport_types', 'PROTETHERNET'),
    'openconfig-transport-types:PROT_OC192':('ydk.models.ydktest.openconfig_transport_types', 'PROTOC192'),
    'openconfig-transport-types:PROT_OC48':('ydk.models.ydktest.openconfig_transport_types', 'PROTOC48'),
    'openconfig-transport-types:PROT_OC768':('ydk.models.ydktest.openconfig_transport_types', 'PROTOC768'),
    'openconfig-transport-types:PROT_ODU2':('ydk.models.ydktest.openconfig_transport_types', 'PROTODU2'),
    'openconfig-transport-types:PROT_ODU2E':('ydk.models.ydktest.openconfig_transport_types', 'PROTODU2E'),
    'openconfig-transport-types:PROT_ODU3':('ydk.models.ydktest.openconfig_transport_types', 'PROTODU3'),
    'openconfig-transport-types:PROT_ODU4':('ydk.models.ydktest.openconfig_transport_types', 'PROTODU4'),
    'openconfig-transport-types:PROT_OTN':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTN'),
    'openconfig-transport-types:PROT_OTU1E':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTU1E'),
    'openconfig-transport-types:PROT_OTU2':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTU2'),
    'openconfig-transport-types:PROT_OTU2E':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTU2E'),
    'openconfig-transport-types:PROT_OTU3':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTU3'),
    'openconfig-transport-types:PROT_OTU4':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTU4'),
    'openconfig-transport-types:PROT_OTUCN':('ydk.models.ydktest.openconfig_transport_types', 'PROTOTUCN'),
    'openconfig-transport-types:PROT_STM16':('ydk.models.ydktest.openconfig_transport_types', 'PROTSTM16'),
    'openconfig-transport-types:PROT_STM256':('ydk.models.ydktest.openconfig_transport_types', 'PROTSTM256'),
    'openconfig-transport-types:PROT_STM64':('ydk.models.ydktest.openconfig_transport_types', 'PROTSTM64'),
    'openconfig-transport-types:QSFP':('ydk.models.ydktest.openconfig_transport_types', 'QSFP'),
    'openconfig-transport-types:QSFP28':('ydk.models.ydktest.openconfig_transport_types', 'QSFP28'),
    'openconfig-transport-types:SC_CONNECTOR':('ydk.models.ydktest.openconfig_transport_types', 'SCCONNECTOR'),
    'openconfig-transport-types:SFP':('ydk.models.ydktest.openconfig_transport_types', 'SFP'),
    'openconfig-transport-types:SFP_PLUS':('ydk.models.ydktest.openconfig_transport_types', 'SFPPLUS'),
    'openconfig-transport-types:SONET_APPLICATION_CODE':('ydk.models.ydktest.openconfig_transport_types', 'SONETAPPLICATIONCODE'),
    'openconfig-transport-types:SONET_UNDEFINED':('ydk.models.ydktest.openconfig_transport_types', 'SONETUNDEFINED'),
    'openconfig-transport-types:TRANSCEIVER_FORM_FACTOR_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'TRANSCEIVERFORMFACTORTYPE'),
    'openconfig-transport-types:TRIB_RATE_100G':('ydk.models.ydktest.openconfig_transport_types', 'TRIBRATE100G'),
    'openconfig-transport-types:TRIB_RATE_10G':('ydk.models.ydktest.openconfig_transport_types', 'TRIBRATE10G'),
    'openconfig-transport-types:TRIB_RATE_1G':('ydk.models.ydktest.openconfig_transport_types', 'TRIBRATE1G'),
    'openconfig-transport-types:TRIB_RATE_2.5G':('ydk.models.ydktest.openconfig_transport_types', 'TRIBRATE2DOT5G'),
    'openconfig-transport-types:TRIB_RATE_40G':('ydk.models.ydktest.openconfig_transport_types', 'TRIBRATE40G'),
    'openconfig-transport-types:TRIBUTARY_PROTOCOL_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'TRIBUTARYPROTOCOLTYPE'),
    'openconfig-transport-types:TRIBUTARY_RATE_CLASS_TYPE':('ydk.models.ydktest.openconfig_transport_types', 'TRIBUTARYRATECLASSTYPE'),
    'openconfig-transport-types:VSR2000_3R2':('ydk.models.ydktest.openconfig_transport_types', 'VSR20003R2'),
    'openconfig-transport-types:VSR2000_3R3':('ydk.models.ydktest.openconfig_transport_types', 'VSR20003R3'),
    'openconfig-transport-types:VSR2000_3R5':('ydk.models.ydktest.openconfig_transport_types', 'VSR20003R5'),
    'openconfig-transport-types:X2':('ydk.models.ydktest.openconfig_transport_types', 'X2'),
    'openconfig-transport-types:XFP':('ydk.models.ydktest.openconfig_transport_types', 'XFP'),
    'openconfig-types:ADDRESS_FAMILY':('ydk.models.ydktest.openconfig_types', 'ADDRESSFAMILY'),
    'openconfig-types:IPV4':('ydk.models.ydktest.openconfig_types', 'IPV4'),
    'openconfig-types:IPV6':('ydk.models.ydktest.openconfig_types', 'IPV6'),
    'ydktest-aug-ietf-5:aug-identity':('ydk.models.ydktest.ydktest_aug_ietf_5', 'AugIdentity'),
    'ydktest-aug-ietf-5:derived-aug-identity':('ydk.models.ydktest.ydktest_aug_ietf_5', 'DerivedAugIdentity'),
    'ydktest-sanity:base-identity':('ydk.models.ydktest.ydktest_sanity', 'BaseIdentity'),
    'ydktest-sanity:child-child-identity':('ydk.models.ydktest.ydktest_sanity', 'ChildChildIdentity'),
    'ydktest-sanity:child-identity':('ydk.models.ydktest.ydktest_sanity', 'ChildIdentity'),
    'ydktest-sanity-types:another-one':('ydk.models.ydktest.ydktest_sanity_types', 'AnotherOne'),
    'ydktest-sanity-types:other':('ydk.models.ydktest.ydktest_sanity_types', 'Other'),
    'ydktest-sanity-types:ydktest-type':('ydk.models.ydktest.ydktest_sanity_types', 'YdktestType'),
    'ydktest-types:YDK_IDENTITY':('ydk.models.ydktest.ydktest_types', 'YDKIDENTITY'),
}

